CharArrayReader

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class CharArrayReader

    java.lang.Object
      java.io.Reader
          java.io.CharArrayReader

    public class CharArrayReader

extends Reader

This class implements a character buffer that can be used as a character-input stream.

Since:
  JDK1.1
Version:
  1.15, 02/02/00
Author:
  Herb Jellinek

Constructor Summary
`CharArrayReader(char[] buf)` Create an CharArrayReader from the specified array of chars.
`CharArrayReader(char[] buf, int offset, int length)` Create an CharArrayReader from the specified array of chars.

Method Summary
`void` | `close()` Close the stream.
`void` | `mark(int readAheadLimit)` Mark the present position in the stream.
`boolean` | `markSupported()` Tell whether this stream supports the mark() operation, which it does.
`int` | `read()` Read a single character.
`int` | `read(char[] b, int off, int len)` Read characters into a portion of an array.
`boolean` | `ready()` Tell whether this stream is ready to be read.
`void` | `reset()` Reset the stream to the most recent mark, or to the beginning if it has never been marked.
`long` | `skip(long n)` Skip characters.

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharArrayReader

    public CharArrayReader(char[] buf)

  Create an CharArrayReader from the specified array of chars.

  Parameters:
    `buf` - Input buffer (not copied)

### CharArrayReader

    public CharArrayReader(char[] buf,
                           int offset,
                           int length)

  Create an CharArrayReader from the specified array of chars.

  Parameters:
    `buf` - Input buffer (not copied)
    `offset` - Offset of the first char to read
    `length` - Number of chars to read

Method Detail

### read

    public int read()
             throws IOException

  Read a single character.

  Overrides:
    `read` in class `Reader`
  Returns:
    The character read, as an integer in the range 0 to 65535 (`0x00-0xffff`), or -1 if the end of the stream has been reached
  Throws:
    `IOException` - If an I/O error occurs

### read

    public int read(char[] b,
                    int off,
                    int len)
             throws IOException

  Read characters into a portion of an array.

  Specified by:
    `read` in class `Reader`
  Parameters:
    `b` - Destination buffer
    `off` - Offset at which to start storing characters
    `len` - Maximum number of characters to read
  Returns:
    The actual number of characters read, or -1 if the end of the stream has been reached
  Throws:
    `IOException` - If an I/O error occurs

### skip

    public long skip(long n)
              throws IOException

  Skip characters.

  Overrides:
    `skip` in class `Reader`
  Parameters:
    `n` - The number of characters to skip
  Returns:
    The number of characters actually skipped
  Throws:
    `IOException` - If an I/O error occurs

### ready

    public boolean ready()
                  throws IOException

  Tell whether this stream is ready to be read. Character-array readers are always ready to be read.

  Overrides:
    `ready` in class `Reader`
  Returns:
    True if the next read() is guaranteed not to block for input, false otherwise. Note that returning false does not guarantee that the next read will block.
  Throws:
    `IOException` - If an I/O error occurs

### markSupported

    public boolean markSupported()

  Tell whether this stream supports the mark() operation, which it does.

  Overrides:
    `markSupported` in class `Reader`
  Returns:
    true if and only if this stream supports the mark operation.

### mark

    public void mark(int readAheadLimit)
              throws IOException

  Mark the present position in the stream. Subsequent calls to reset() will reposition the stream to this point.

  Overrides:
    `mark` in class `Reader`
  Parameters:
    `readAheadLimit` - Limit on the number of characters that may be read while still preserving the mark. Because the stream's input comes from a character array, there is no actual limit; hence this argument is ignored.
  Throws:
    `IOException` - If an I/O error occurs

### reset

    public void reset()
               throws IOException

  Reset the stream to the most recent mark, or to the beginning if it has never been marked.

  Overrides:
    `reset` in class `Reader`
  Throws:
    `IOException` - If an I/O error occurs

### close

    public void close()

  Close the stream.

  Specified by:
    `close` in class `Reader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD